name: frontend_eccp_mobile
description: ECCP Mobile App
version: 1.0.0+1
publish_to: none

environment:
  sdk: ^3.9.0
  flutter: ^3.35.0

dependencies:
  android_intent_plus: ^6.0.0
  animated_custom_dropdown: ^3.1.1
  app_settings: ^6.1.1
  bloc: ^9.0.1
  chucker_flutter: ^1.9.1
  clipboard: ^3.0.14
  crypto: ^3.0.6
  custom_sliding_segmented_control: ^1.8.5
  dio: ^5.5.0+1
  dio_cache_interceptor: ^4.0.3
  dio_smart_retry: ^7.0.1
  dotted_border: ^3.1.0
  draw_text: ^0.0.2
  equatable: ^2.0.8
  file_picker: ^11.0.2
  firebase_auth_mocks: ^0.15.1
  firebase_core: ^4.4.0
  firebase_crashlytics: ^5.0.7
  firebase_messaging: ^16.1.1
  firebase_remote_config: ^6.1.4
  flutter:
    sdk: flutter
  flutter_bloc: ^9.1.1
  flutter_local_notifications: ^20.0.0
  flutter_localizations:
    sdk: flutter
  flutter_phosphor_icons: ^0.0.1+6
  flutter_screenutil: ^5.9.3
  flutter_svg: ^2.2.3
  geocoding: ^4.0.0
  geolocator: ^13.0.1
  get_it: ^9.2.1
  go_router: ^17.1.0
  google_fonts: ^6.2.0
  hexcolor: ^3.0.2
  http_cache_hive_store: ^5.0.1
  iconsax_flutter: ^1.0.1
  iconsax_plus: ^1.0.0
  image: ^4.8.0
  image_picker: ^1.2.1
  injectable: ^2.7.1+4
  internet_connection_checker: ^3.0.1
  intl: ^0.20.2
  logger: ^2.6.2
  lottie: ^3.3.3
  lucide_icons_flutter: ^3.1.9
  modal_bottom_sheet: ^3.0.0
  open_filex: ^4.7.0
  package_info_plus: ^9.0.0
  path_provider: ^2.1.5
  permission_handler: ^11.3.1
  phosphor_flutter: ^2.1.0
  photo_view: ^0.15.0
  pretty_dio_logger: ^1.4.0
  pull_to_refresh_flutter3: ^2.0.2
  shadcn_ui: ^0.45.1
  shared_preferences: ^2.3.1
  signature: ^6.3.0
  skeleton_text: ^3.0.1
  svg_flutter: ^0.0.1
  syncfusion_flutter_pdfviewer: ^33.2.3
  url_launcher: ^6.3.2
  uuid: ^4.5.1

dev_dependencies:
  bloc_test: ^10.0.0
  build_runner: ^2.4.9
  flutter_native_splash: ^2.4.7
  flutter_test:
    sdk: flutter
  injectable_generator: ^2.6.1
  mocktail: ^1.0.4
  very_good_analysis: ^10.0.0

flutter:
  generate: true
  uses-material-design: true
  assets:
    - assets/svg/tabbar/
    - assets/svg/navigation/
    - assets/svg/
    - assets/json/
    - assets/images/
    - assets/webp/
